package xyz.veronie.bgg.result;

import java.beans.PropertyChangeListener;
import java.beans.PropertyChangeSupport;
//import com.google.gson.Gson;

public class ThingMetaData implements java.io.Serializable {
	private static final long serialVersionUID = -5268898737006538509L;
	
	private int id;
	private String name;
	private String imgURL;
	private String thumbURL;
	private String comment;
	private Integer numPlays;

	
	private PropertyChangeSupport propertyChangeSupport = new PropertyChangeSupport(this);
	
	public ThingMetaData(int id, String name, 
			String imgURL, String thumURL,
			String comment, Integer numPlays) {
		this.setId(id);
		this.setName(name);
		this.setImgURL(imgURL);
		this.setThumbURL(thumURL);
		this.setComment(comment);
		this.setNumPlays(numPlays);
	}
	

	
	public void addPropertyChangeListener(String propertyName,
            PropertyChangeListener listener) {
        propertyChangeSupport.addPropertyChangeListener(propertyName, listener);
    }

    public void removePropertyChangeListener(PropertyChangeListener listener) {
        propertyChangeSupport.removePropertyChangeListener(listener);
    }
    
 

	public int getId() {
		return id;
	}

	public void setId(int id) {
		propertyChangeSupport.firePropertyChange("id", this.id,
			this.id = id);
	}

    
	public String getName() {
		return name;
	}

	public void setName(String name) {
		propertyChangeSupport.firePropertyChange("name", this.name,
			this.name = name);
	}
	
	public String getImgURL() {
		return imgURL;
	}

	public void setImgURL(String imgURL) {
		propertyChangeSupport.firePropertyChange("img", this.imgURL,
			this.imgURL = imgURL);
	}

	public String getThumbURL() {
		return thumbURL;
	}
	
	public void setThumbURL(String thumbURL) {
		propertyChangeSupport.firePropertyChange("thumb", this.thumbURL,
			this.thumbURL = thumbURL);
	}
	
	public Integer getNumPlays() {
		return numPlays;
	}

	public void setNumPlays(Integer numPlays) {
		this.numPlays = numPlays;
	}


	public String getComment() {
		return comment;
	}

	public void setComment(String comment) {
		propertyChangeSupport.firePropertyChange("comment", this.comment,
			this.comment = comment);
	}

	@Override
    public String toString() {
        return String.valueOf(id);
//		Gson gson = new Gson();
//		return gson.toJson(this);
    }
	
	

}

