package xyz.veronie.bgg.ui.filters;

import javax.inject.Inject;

import org.eclipse.e4.core.di.annotations.Creatable;
import org.eclipse.e4.core.services.events.IEventBroker;
import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;

import xyz.veronie.bgg.result.ResultConfigManager;
import xyz.veronie.bgg.ui.filters.composites.BggUserSourceComposite;
import xyz.veronie.bgg.ui.helpers.BatLayouts;


/// These are the controls to retrieve thing IDs for a given BGG user
/// Filters can be set for the state of the thing in the user's collection
/// (i.e. owned, previously owned, wishlist, etc.)
@Creatable
public class BggUserSourceFilter {
	
	@Inject private IEventBroker eventBroker;
	@Inject private ResultConfigManager configManager;

	public void create(Composite parent, int style) {

		Composite mainCompo = new Composite(parent, SWT.FILL);
		GridLayout gl_mainCompo = new GridLayout(5, false);
		BatLayouts.applyZeroSpacing(gl_mainCompo);
		mainCompo.setLayout(gl_mainCompo);
		mainCompo.setLayoutData(new GridData(SWT.FILL, SWT.FILL, true, true));
		
        new BggUserSourceComposite(mainCompo, SWT.NONE, eventBroker, configManager);

        mainCompo.pack();
        parent.pack();
        parent.layout(true, true);
	}
	
}
